Bug 4115 - smbc_attr_server() and Kerberos/SPNEGO problem
smbc_attr_server() and Kerberos/SPNEGO problem
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.0
x86 Linux
: P3 normal
: none
Assigned To: Derrell Lipman
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-20 10:05 UTC by Porlin
Modified: 2007-04-09 09:47 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Porlin 2006-09-20 10:05:56 UTC
I set the SMB_CTX_FLAG_USE_KERBEROS flag in the smbc context. I could authenticate to the share correctly and retrieve all the directory entries. 

However, the SPNEGO login to IPC$ (done by smbc_attr_server()) failed because smbc_attr_server() calls cli_full_connection() with flags set to 0. Is
there any way to pass CLI_FULL_CONNECTION_USE_KERBEROS in the flags argument ?

I set a breakpoint in smbc_attr_server() and noticed that cli->use_spnego is True but cli->use_kerberos is False (because flags is always 0 at the caller site).

       if (flags & CLI_FULL_CONNECTION_DONT_SPNEGO)
                cli->use_spnego = False;
        else if (flags & CLI_FULL_CONNECTION_USE_KERBEROS)
                cli->use_kerberos = True;

This causes subsequent code to fail with the message "SPNEGO login failed: Logon failure".
Comment 1 Derrell Lipman 2007-02-03 11:15:10 UTC
Should be fixed by check-in 21132.  I don't have an environment to test this, however.  Please confirm that it is now working for you.

Thanks,

Derrell
Comment 2 Gerald (Jerry) Carter 2007-04-09 09:47:10 UTC
Changes checked into 3.0.25rc1